Skip to content
Version v3.2.0

Deprecated

The User Store API v1 is deprecated as of ProAuth 3.0. Use the User Store API v2 for all new integrations. v1 remains available for backward compatibility but will be removed in a future major release.


GetAuditTrail​

GET
/api/userstore/v1/{userstore}/administration/CustomAuditTrail/{id}

Responses​

OK

application/json
JSON
{
  
"id": 0,
  
"timestamp": "string",
  
"user": "string",
  
"area": "string",
  
"primaryKey": "string",
  
"category": "string",
  
"action": "string",
  
"dataSource": "string",
  
"originalContent": "string",
  
"currentContent": "string",
  
"signature": "string",
  
"signaturePublicKeyInfo": "string"
}

GetAuditTrails​

GET
/api/userstore/v1/{userstore}/administration/CustomAuditTrail

Responses​

OK

application/json
JSON
[
  
{
  
  
"id": 0,
  
  
"timestamp": "string",
  
  
"user": "string",
  
  
"area": "string",
  
  
"primaryKey": "string",
  
  
"category": "string",
  
  
"action": "string",
  
  
"dataSource": "string",
  
  
"originalContent": "string",
  
  
"currentContent": "string",
  
  
"signature": "string",
  
  
"signaturePublicKeyInfo": "string"
  
}
]

Group​


GetAllGroupMembershipFromGroup​

GET
/api/userstore/v1/{userstore}/administration/Group/parentGroup/{parentGroupId}/membership

Responses​

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"memberUsers": [...],
  
  
"parentGroups": [...],
  
  
"memberGroups": [...],
  
  
"metadata": [...],
  
  
"instanceId": "string"
  
}
]

GetAllGroupMembershipFromUser​

GET
/api/userstore/v1/{userstore}/administration/Group/user/{userid}/membership

Responses​

OK

application/json
JSON
[
]

SynchronizeAllGroup​

GET
/api/userstore/v1/{userstore}/administration/Group/synchronize

Responses​

OK

application/json

GetGroups​

GET
/api/userstore/v1/{userstore}/administration/Group

Responses​

OK

application/json
JSON
[
]

CreateGroup​

POST
/api/userstore/v1/{userstore}/administration/Group

Request Body​

JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

UpdateGroups​

PUT
/api/userstore/v1/{userstore}/administration/Group/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

CreateGroups​

POST
/api/userstore/v1/{userstore}/administration/Group/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

DeleteGroups​

DELETE
/api/userstore/v1/{userstore}/administration/Group/batch

Request Body​

JSON
[
]

Responses​

No Content


PatchGroups​

PATCH
/api/userstore/v1/{userstore}/administration/Group/batch

Request Body​

JSON
[
  
{
  
  
"ids": [...],
  
  
"patch": null
  
}
]

Responses​

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"memberUsers": [...],
  
  
"parentGroups": [...],
  
  
"memberGroups": [...],
  
  
"metadata": [...],
  
  
"instanceId": "string"
  
}
]

GetGroup​

GET
/api/userstore/v1/{userstore}/administration/Group/{id}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

UpdateGroup​

PUT
/api/userstore/v1/{userstore}/administration/Group/{id}

Request Body​

JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

DeleteGroup​

DELETE
/api/userstore/v1/{userstore}/administration/Group/{id}

Responses​

No Content


PatchGroup​

PATCH
/api/userstore/v1/{userstore}/administration/Group/{id}

Request Body​

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses​

Accepted

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

CreateOrUpdateGroup​

POST
/api/userstore/v1/{userstore}/administration/Group/createorupdate

Request Body​

JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"metadata": [
  
  
{...}
  
],
  
"instanceId": "string"
}

CreateOrUpdateGroups​

POST
/api/userstore/v1/{userstore}/administration/Group/createorupdate/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

GroupMetadata​


GetGroupMetadataByGroupId​

GET
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/groupId

Responses​

OK

application/json
JSON
[
  
{
  
  
"groupId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"instanceId": "string"
  
}
]

GetGroupMetadata​

GET
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Responses​

OK

application/json
JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

UpdateGroupMetadata​

PUT
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Request Body​

JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

DeleteGroupMetadata​

DELETE
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Responses​

No Content


PatchGroupMetadata​

PATCH
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Request Body​

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses​

Accepted

application/json
JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

GetGroupMetadatas​

GET
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata

Responses​

OK

application/json
JSON
[
  
{
  
  
"groupId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"instanceId": "string"
  
}
]

CreateGroupMetadata​

POST
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata

Request Body​

JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

UpdateGroupMetadata​

PUT
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

CreateGroupMetadatas​

POST
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

DeleteGroupMetadatas​

DELETE
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/batch

Request Body​

JSON
[
]

Responses​

No Content


PatchGroupMetadatas​

PATCH
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/batch

Request Body​

JSON
[
  
{
  
  
"ids": [...],
  
  
"patch": null
  
}
]

Responses​

Accepted

application/json
JSON
[
  
{
  
  
"groupId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"instanceId": "string"
  
}
]

CreateOrUpdateGroupMetadata​

POST
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/createorupdate

Request Body​

JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

CreateOrUpdateGroupMetadatas​

POST
/api/userstore/v1/{userstore}/administration/Group/{groupId}/GroupMetadata/createorupdate/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

User​

Operations​

GET/api/userstore/v1/{userstore}/administration/User/{id}PUT/api/userstore/v1/{userstore}/administration/User/{id}DELETE/api/userstore/v1/{userstore}/administration/User/{id}PATCH/api/userstore/v1/{userstore}/administration/User/{id}GET/api/userstore/v1/{userstore}/administration/UserPOST/api/userstore/v1/{userstore}/administration/UserGET/api/userstore/v1/{userstore}/administration/User/loginname/{userName}GET/api/userstore/v1/{userstore}/administration/User/synchronizePOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/initialPOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/initial/resetPOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/resetPOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset/sendresetemailPOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset/requestPOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset/responsePOST/api/userstore/v1/{userstore}/administration/User/{userId}/lockout/resetPOST/api/userstore/v1/{userstore}/administration/User/{userId}/password/changePOST/api/userstore/v1/{userstore}/administration/User/{userId}/statePUT/api/userstore/v1/{userstore}/administration/User/batchPOST/api/userstore/v1/{userstore}/administration/User/batchDELETE/api/userstore/v1/{userstore}/administration/User/batchPATCH/api/userstore/v1/{userstore}/administration/User/batchPOST/api/userstore/v1/{userstore}/administration/User/createorupdatePOST/api/userstore/v1/{userstore}/administration/User/createorupdate/batch

GetUser​

GET
/api/userstore/v1/{userstore}/administration/User/{id}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

UpdateUser​

PUT
/api/userstore/v1/{userstore}/administration/User/{id}

Request Body​

JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

DeleteUser​

DELETE
/api/userstore/v1/{userstore}/administration/User/{id}

Responses​

No Content


PatchUser​

PATCH
/api/userstore/v1/{userstore}/administration/User/{id}

Request Body​

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses​

Accepted

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

GetUsers​

GET
/api/userstore/v1/{userstore}/administration/User

Responses​

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"externalUniqueIdentifier": "string",
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"emailAddressConfirmed": true,
  
  
"userValidFrom": "string",
  
  
"userValidTo": "string",
  
  
"isUserActive": true,
  
  
"isUserLockEnabled": true,
  
  
"isUserLocked": true,
  
  
"failedUserLoginAttempts": 0,
  
  
"failedTemporaryLockAttempts": 0,
  
  
"lockedUntil": "string",
  
  
"passwordNeverExpires": true,
  
  
"canChangePasswordOnExpiration": true,
  
  
"passwordExpiration": "string",
  
  
"isInitialPassword": true,
  
  
"isPasswordChangeRequired": true,
  
  
"memberOfGroups": [...],
  
  
"userProfiles": [...],
  
  
"instanceId": "string"
  
}
]

CreateUser​

POST
/api/userstore/v1/{userstore}/administration/User

Request Body​

JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

GetUserByLoginName​

GET
/api/userstore/v1/{userstore}/administration/User/loginname/{userName}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

SynchronizeAllUser​

GET
/api/userstore/v1/{userstore}/administration/User/synchronize

Responses​

OK

application/json

SetInitialPassword​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/initial

Request Body​

JSON
{
  
"expiration": "string",
  
"password": "string"
}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

ResetInitialPasswordExpiration​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/initial/reset

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

ResetPassword​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset

Request Body​

JSON
{
  
"password": "string"
}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

SendPasswordResetEmail​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset/sendresetemail

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

ResetPasswordTokenRequest​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset/request

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

ResetPasswordTokenResponse​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/reset/response

Request Body​

JSON
{
  
"token": "string",
  
"password": "string"
}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

ResetAccessFailedCount​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/lockout/reset

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

ChangePassword​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/password/change

Request Body​

JSON
{
  
"oldPassword": "string",
  
"newPassword": "string"
}

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

SetUserState​

POST
/api/userstore/v1/{userstore}/administration/User/{userId}/state

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

UpdateUsers​

PUT
/api/userstore/v1/{userstore}/administration/User/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

CreateUsers​

POST
/api/userstore/v1/{userstore}/administration/User/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

DeleteUsers​

DELETE
/api/userstore/v1/{userstore}/administration/User/batch

Request Body​

JSON
[
]

Responses​

No Content


PatchUsers​

PATCH
/api/userstore/v1/{userstore}/administration/User/batch

Request Body​

JSON
[
]

Responses​

Accepted

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"externalUniqueIdentifier": "string",
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"emailAddressConfirmed": true,
  
  
"userValidFrom": "string",
  
  
"userValidTo": "string",
  
  
"isUserActive": true,
  
  
"isUserLockEnabled": true,
  
  
"isUserLocked": true,
  
  
"failedUserLoginAttempts": 0,
  
  
"failedTemporaryLockAttempts": 0,
  
  
"lockedUntil": "string",
  
  
"passwordNeverExpires": true,
  
  
"canChangePasswordOnExpiration": true,
  
  
"passwordExpiration": "string",
  
  
"isInitialPassword": true,
  
  
"isPasswordChangeRequired": true,
  
  
"memberOfGroups": [...],
  
  
"userProfiles": [...],
  
  
"instanceId": "string"
  
}
]

CreateOrUpdateUser​

POST
/api/userstore/v1/{userstore}/administration/User/createorupdate

Request Body​

JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"userProfiles": [
  
  
{...}
  
],
  
"instanceId": "string"
}

CreateOrUpdateUsers​

POST
/api/userstore/v1/{userstore}/administration/User/createorupdate/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

UserProfile​


GetUserProfilesByUserId​

GET
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/userId

Responses​

OK

application/json
JSON
[
  
{
  
  
"userId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"instanceId": "string"
  
}
]

GetUserProfile​

GET
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/{key}

Responses​

OK

application/json
JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

UpdateUserProfile​

PUT
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/{key}

Request Body​

JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

DeleteUserProfile​

DELETE
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/{key}

Responses​

No Content


PatchUserProfile​

PATCH
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/{key}

Request Body​

JSON
[
  
{
  
  
"op": "string",
  
  
"path": "string",
  
  
"from": "string",
  
  
"value": null
  
}
]

Responses​

Accepted

application/json
JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

GetUserProfiles​

GET
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile

Responses​

OK

application/json
JSON
[
  
{
  
  
"userId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"instanceId": "string"
  
}
]

CreateUserProfile​

POST
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile

Request Body​

JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

UpdateUserProfile​

PUT
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

CreateUserProfiles​

POST
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

DeleteUserProfiles​

DELETE
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/batch

Request Body​

JSON
[
]

Responses​

No Content


PatchUserProfiles​

PATCH
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/batch

Request Body​

JSON
[
]

Responses​

Accepted

application/json
JSON
[
  
{
  
  
"userId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"instanceId": "string"
  
}
]

CreateOrUpdateUserProfile​

POST
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/createorupdate

Request Body​

JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

CreateOrUpdateUserProfiles​

POST
/api/userstore/v1/{userstore}/administration/user/{userId}/UserProfile/createorupdate/batch

Request Body​

JSON
[
]

Responses​

OK

application/json
JSON
[
]

ChangePasswordPublic​

POST
/api/userstore/v1/{userstore}/PublicAdmin/user/loginname/{loginName}/password/change

Request Body​

JSON
{
  
"oldPassword": "string",
  
"newPassword": "string"
}

Responses​

OK


ResetPasswordTokenResponsePublic​

POST
/api/userstore/v1/{userstore}/PublicAdmin/user/loginname/{loginname}/password/reset/response

Request Body​

JSON
{
  
"token": "string",
  
"password": "string"
}

Responses​

OK